Method: fhirStores.bulk-export-group-post

Full name: projects.locations.datasets.fhirStores.bulk-export-group-post

Export resources using POST.

HTTP request

POST https://healthcare.googleapis.com/v1beta1/{name=projects/*/locations/*/datasets/*/fhirStores/*/fhir/Group/*}/$export

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Name of the Group resource that is exported, in format projects/{projectId}/locations/{locationId}/datasets/{datasetId}/fhirStores/{fhirStoreId}/fhir/Group/{groupId}.

Authorization requires the following IAM permission on the specified resource name:

  • healthcare.fhirStores.export

Query parameters

Parameters
_since

string

Optional. If provided, only resources updated after this time are exported. The time uses the format YYYY-MM-DDThh:mm:ss.sss+zz:zz. For example, 2015-02-07T13:28:17.239+02:00 or 2017-01-01T00:00:00Z. The time must be specified to the second and include a time zone.

_type

string

Optional. String of comma-delimited FHIR resource types. If provided, only resources of the specified resource type(s) are exported.

outputFormat

string

Optional. Output format of the export. This field is optional and only application/fhir+ndjson is supported.

organizeOutputBy

string

Required. The FHIR resource type used to organize exported resources. Only supports "Patient".

When organized by Patient resource, output files are grouped as follows:

  • Patient file(s) containing the Patient resources. Each Patient is sequentially followed by all resources the Patient references, and all resources that reference the Patient (equivalent to a GetPatientEverything request).
  • Individual files grouped by resource type for resources in the Group's member field and the Group resource itself.

Resources may be duplicated across multiple Patients. For example, if two Patient resources reference the same Organization resource, it will appear twice, once after each Patient. The Group resource from the request does not appear in the Patient files.

Request body

The request body contains an instance of HttpBody.

Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-healthcare
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.